unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Clipbrd, Menus, ComCtrls, ExtDlgs;


type
  TForm1 = class(TForm)
    lbText: TLabel;
    Button1: TButton;

    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);

    {  override;}

  private
    { Private declarations }
    OldWndProc: Pointer;
    WndProcPtr: Pointer;

  public
  
  protected
    { Protected declarations }
  procedure WndPrc(var Msg: TMessage);

  end;


var
 Form1: TForm1;
 wm_SVMessage: Cardinal;


implementation


{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  left:=0;
  top:=0;

  wm_SVMessage:=RegisterWindowMessage('SpectraVueExtMsg');


  WndProcPtr:=MakeObjectInstance(WndPrc);
  OldWndProc:=Pointer(SetWindowLong(Application.Handle, GWL_WNDPROC,
                                                         Integer(WndProcPtr)));
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
 SetWindowLong(Application.Handle, GWL_WNDPROC, Longint(OldWndProc));

 FreeObjectInstance(WndProcPtr);
end;

procedure TForm1.WndPrc(var Msg: TMessage);
 begin
  if Msg.Msg = wm_SVMessage then
   begin
    if msg.WParamHi > 1 then  //    WParam-  1      SpectraVue
     begin
      lbText.Caption:=lbText.Caption+' '+inttostr(msg.WParamLo);
     end;
   end
  else
   begin
    with Msg do
     Result:= CallWindowProc(OldWndProc, Application.Handle, Msg, wParam, lParam);
   end;
 end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 PostMessage(HWND_BROADCAST, wm_SVMessage, {SVCMD_SET_CENTER_FREQ} $50, 10000000);
end;

end.
